Bug 1869613 - [OSP] Errors are ignored during swift container deletion
Summary: [OSP] Errors are ignored during swift container deletion
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Mike Fedosin
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 11:09 UTC by Mike Fedosin
Modified: 2020-09-15 12:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 590 None closed Bug 1869613: don't ignore swift errors during container deletion 2020-09-07 01:46:35 UTC
Github openshift cluster-image-registry-operator pull 595 None closed Bug 1869613: Swift: add a unit test for bulk deleting failure 2020-09-07 01:46:34 UTC

Description Mike Fedosin 2020-08-18 11:09:08 UTC
Description of problem:

Currently when we destroy Swift image registry container with BulkDelete, all internal errors are ignored, which can lead to some obscure issues in the future.

Comment 3 Mike Fedosin 2020-08-26 08:35:59 UTC
We need to add a unit test for this case: https://github.com/openshift/cluster-image-registry-operator/pull/595

Comment 5 Wenjing Zheng 2020-09-09 09:54:30 UTC
The unit test which covers the scenario has been passed.


Note You need to log in before you can comment on or make changes to this bug.